Bug 1414940 - OCP Validation for Highly Available deployments updates
Summary: OCP Validation for Highly Available deployments updates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI
Version: 1.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 1.1
Assignee: Derek Whatley
QA Contact: Landon LaSmith
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 18:55 UTC by Matt Reid
Modified: 2017-02-28 01:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 01:45:17 UTC
Target Upstream Version:


Attachments (Terms of Use)
HA validation (48.33 KB, image/png)
2017-01-19 18:55 UTC, Matt Reid
no flags Details
Screenshot of verified ocp resource error (40.18 KB, image/png)
2017-01-25 17:29 UTC, Landon LaSmith
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:0335 0 normal SHIPPED_LIVE Red Hat Quickstart Installer 1.1 2017-02-28 06:36:13 UTC

Description Matt Reid 2017-01-19 18:55:33 UTC
Created attachment 1242547 [details]
HA validation

Description of problem:
Validation messages for HA resources aren't consistent with the other messages, and omit units for their hardware. I'd also prefer us to avoid the word "reserved" when it comes to HA needs, since we're using the word reserved for CFME, and that impacts environment resources differently. Reserved resources are omitted from the reported resource pool, while OCP node requirements impact the usage bars. HA node requirements are reflected in the bars, and not subtracted from the environment totals, so they're not reserved in the same sense as CFME, they're demanded by the OCP deployment.

The validation messages are:
Master CPUs: 6
Worker CPUs: 3
HA Reserved CPUs: 12
Total CPUs required: 21
Total CPUs available: 12

Master RAM: 24 GB
Worker RAM: 8 GB
HA Reserved RAM: 32
Total RAM required: 64 GB
Total RAM available: 19.4 GB

Master Disk: 90 GB
Worker Disk + Storage: 45 GB
HA Reserved Disk: 60
Total Disk required: 345 GB
Total Disk available: 83.22 GB


I'd like to try and streamline the validation here in the future, but for short term consistency, the HA strings should include units to match the others, and say GB where appropriate.

I propose the following to replace those strings:

Required HA CPUs: 12

Required HA RAM: 32 GB

Required HA Disk: 60 GB


Final change is that the triangles used for the two messages should be the same color, and be yellow. Warnings are yellow and use the triangle icon, errors would be red and use a different icon. Errors would indicate a fatal or blocking issue, warnings are softer. It seems like the intent of those messages are to be warnings, but I could be interpreting them incorrectly.

Version-Release number of selected component (if applicable):
1.1

Comment 2 Matt Reid 2017-01-20 21:19:33 UTC
We're mixing our warning and error messaging throughout the UI as well. Not sure if we want to address some or all of that as part of this BZ, or in a separate one, but the RHV NFS Validation throws an error in a red box with a red warning icon /!\ (the ! triangle). The validation messages we throw in OCP sometimes look like warnings, and sometimes look like a blend between warning and error (yellow box with a red ! triangle). Our OSP errors sometimes match the PF error icon and red color, and other times use the red ! triangle, depending where you are in our UI.

Ideally, all errors would be in a red box, with the pficon-error-circle-o icon as seen on http://www.patternfly.org/styles/icons/#_ & in http://www.patternfly.org/pattern-library/forms-and-controls/errors-and-validation/#/api. Right now many of our errors look like they use pficon-warning-triangle-o (or a manually color adjusted version), when the error icon should be a different color and shape from the warning icon, so that color isn't the only differentiating factor between those. It's not very accessible if color is the 1 key factor in determining which is which.

Comment 3 Derek Whatley 2017-01-23 19:51:38 UTC
Created PR to address original problem and to fix symbol/color mismatches throughout fusor.

https://github.com/fusor/fusor/pull/1359/files

Comment 4 Dylan Murray 2017-01-24 14:23:32 UTC
This fix is in QCI-1.1-RHEL-7-20170123.t.0

Comment 5 Landon LaSmith 2017-01-25 17:28:58 UTC
VERIFIED. All references for OCP "reserved" resources have been updated to reflect "required" resources. Also, the error icon for ocp resources (and rhv storage) is now a red error circle.

QCI Media Version: QCI-1.1-RHEL-7-20170124.t.0

Comment 6 Landon LaSmith 2017-01-25 17:29:36 UTC
Created attachment 1244323 [details]
Screenshot of verified ocp resource error

Comment 8 errata-xmlrpc 2017-02-28 01:45:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:0335


Note You need to log in before you can comment on or make changes to this bug.